Upstream information

CVE-2011-2685 at MITRE

Description

Stack-based buffer overflow in the Lotus Word Pro import filter in LibreOffice before 3.3.3 allows remote attackers to execute arbitrary code via a crafted .lwp file.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 9.3
Vector AV:N/AC:M/Au:N/C:C/I:C/A:C
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
SUSE Bugzilla entry: 704311 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 11 SP1
  • libneon27 >= 0.29.6-6.5.1
  • libneon27-32bit >= 0.29.6-6.5.1
Patchnames:
slessp1-libreoffice-34


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SLED-10-SP3 libreoffice Unsupported
SLED-10-SP4 libreoffice Released
SUSE Linux Enterprise Desktop 11 SP1 libreoffice Released
SUSE Linux Enterprise Desktop 11 SP2 libreoffice Released
SUSE Linux Enterprise Desktop 11 SP3 libreoffice Released
SUSE Linux Enterprise Software Development Kit 11 SP1 libreoffice Released
SUSE Linux Enterprise Software Development Kit 11 SP2 libreoffice Released
SUSE Linux Enterprise Software Development Kit 11 SP3 libreoffice Released